---
updatedAt: 2025-06-11T00:16:48.000Z
agentTools:
  projectIndex: https://developers.comeet.com/llms.txt
---

# List All Positions

Retrieve the list of published positions of the company. Make sure there are a few published positions otherwise the returned data set will be empty.

Returns a list of [Positions](ref:careers-position-model).

## Request

```http Request endpoint
GET https://www.comeet.co/careers-api/2.0/company/{company_uid}/positions
```

> 📘
>
> To receive the position's description fields, such as job description and requirements, set the  *details* parameter to True. By default, these fields are not included in the response.

Request path parameters:

| Name         | Type   | Optional | Description                                                |
| :----------- | :----- | :------- | :--------------------------------------------------------- |
| company\_uid | string | Required | This is the company UID that can be obtained from Recruit. |

Request query parameters:

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Type
      </th>

      <th>
        Optional
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        token
      </td>

      <td>
        string
      </td>

      <td>
        Required
      </td>

      <td>
        This is the company Token that can be obtained from Recruit.
      </td>
    </tr>

    <tr>
      <td>
        details
      </td>

      <td>
        Boolean
      </td>

      <td>
        Optional
      </td>

      <td>
        Default is false.\
        Set this parameter to true to get all the position details.
      </td>
    </tr>
  </tbody>
</Table>

```text Request example
https://www.comeet.co/careers-api/2.0/company/{company_uid}/positions?token={Company_token}&details=false
```

> 🚧
>
> When making a request to get the list of positions, set the timeout limit to 60 seconds. This will ensure that the request doesn't fail in case it takes a few seconds to retrieve a large number of positions.

## Response

```json Response example:
[
   {
   "uid": "87.405",
   "name": "Account Executive, Austin",
   "department": "Sales",
   "workplace_type": "Remote",
   "email": "companyname.87.405@applynow.io",
   "location": {
      "name": "Austin, TX",
      "country": "US",
      "city": "Austin",
      "state": "TX",
      "postal_code": "",
      "street_name": "",
      "arrival_instructions": null,
      "street_number": "",
      "timezone": "America/Iqaluit"
   },
   "url_comeet_hosted_page": "https://www.comeet.co/jobs/companyname/30.005/account-executive-austin/87.405",
   "url_active_page": "https://www.comeet.co/jobs/companyname/30.005/account-executive-austin/87.405",
   "employment_type": "Full-time",
   "experience_level": "Intermediate",
   "internal_use_custom_id": null,
   "picture_url": "https://comeet-euw-app.s3.amazonaws.com/53/b5ac4af700dfe6d749a862f7ba267f288f6cb575",
   "time_updated": "2017-05-26T14:22:46Z",
   "company_name": "Company Name",
   "position_url": "https://www.comeet.co/careers-api/2.0/company/30.005/positions/87.405?token=359F1DD13E1DD1DD1A813E6A6A",
   "categories": [{
      "name": "Territory",
      "value": "USA",
      "order": 1
   }]
   },
   ...
]
```